# Receive purchase order products

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Record receipt of products from a purchase order. This updates inventory levels
and may automatically change purchase order status.

Endpoint: POST /v2/purchase_orders/{purchase_order_id}/receives
Version: 2.0.0
Security: api_keys

## Path parameters:

  - `purchase_order_id` (string, required)
    The purchase order identifier
    Example: "se-234"

## Request fields (application/json):

  - `product_receives` (array, required)
    List of products being received

  - `product_receives.sku` (string, required)
    SKU of the product
    Example: "WIDGET-001"

  - `product_receives.inventory_location_id` (string, required)
    Location where inventory is received
    Example: "se-12345"

  - `product_receives.received_quantity` (integer)
    Quantity received and accepted. At least one of received_quantity or rejected_quantity must be provided and greater than 0.
    Example: 95

  - `product_receives.rejected_quantity` (integer)
    Quantity rejected (damaged, missing, etc.). At least one of received_quantity or rejected_quantity must be provided and greater than 0.
    Example: 5

  - `product_receives.lot` (string)
    Lot number. Note - Availability depends on your ShipStation account plan.
    Example: "LOT-2025-001"

  - `product_receives.expiration_date` (string)
    Expiration date for the lot. Note - Availability depends on your ShipStation account plan.
    Example: "2026-01-01T00:00:00Z"

## Response 200 fields (application/json):

  - `purchase_order_id` (string)
    Example: "se-234"

  - `status` (string)
    Enum: "receiving", "received"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned", "freight_connection_inactive", "freight_provider_id_required", "freight_shipment_not_found", "freight_tracking_not_available", "freight_tracking_not_found", "freight_shipment_not_batchable", "freight_provider_already_connected"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


